/*
 * Class WEL_TAB_CONTROL_ITEM
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1380 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1380 [] = {0xFF01,1551,1379,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1380 [] = {0xFF01,1379,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1380 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1380 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1380 [] = {0xFF01,1379,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1380 [] = {0xFF01,1379,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1380 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1380 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1380 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1380 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1380 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1380 [] = {0xFF01,1379,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1380 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1380 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1380 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1380 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1380 [] = {0xFF01,213,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1380 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_1380[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1380), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1380), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1380), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1380), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1380), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1380), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1380), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1380), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1380), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1380), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1380), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1380), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AC7 /*1379*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1380), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8088, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8089, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8090, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8093, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8094, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8095, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8096, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8097, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8098, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8099, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8100, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8101, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8102, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8103, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8104, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8105, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8106, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8107, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8108, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8109, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8110, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8111, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8112, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8113, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8116, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8117, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8118, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6525, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6526, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6527, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6528, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6529, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6530, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6531, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6532, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6533, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6534, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6517, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6518, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6519, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6520, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6521, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6522, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6523, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6524, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8553, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8551, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8552, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8554, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8555, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8556, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8557, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30812, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28551, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28552, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AD9 /*1388*/), 28553, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30638, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30639, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30640, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30641, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30642, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30643, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30644, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30645, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30646, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1380), 30647, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AD9 /*1388*/), 30649, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30650, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30651, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1380), 30653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30609, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1380), 30610, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1380), 30611, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AD9 /*1388*/), 30612, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30613, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1380), 30614, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30615, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30616, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30617, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30618, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30619, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30620, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30621, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30622, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30624, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30625, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30626, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30627, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30628, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30629, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30630, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30631, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30632, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30634, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30637, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6634, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6635, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6636, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6637, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6638, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30826, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30828, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1380), 30829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AD9 /*1388*/), 30830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30831, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30832, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30833, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30834, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30835, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04D7 /*619*/), 30814, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30815, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30816, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30817, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30818, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30821, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30825, 0xFFFFFFFF},
};
void Init1380(void)
{
	IDSC(desc_1380, 0, 1379);
	IDSC(desc_1380 + 1, 1, 1379);
	IDSC(desc_1380 + 32, 791, 1379);
	IDSC(desc_1380 + 34, 1359, 1379);
	IDSC(desc_1380 + 44, 1063, 1379);
	IDSC(desc_1380 + 75, 1285, 1379);
	IDSC(desc_1380 + 93, 1363, 1379);
	IDSC(desc_1380 + 96, 1610, 1379);
	IDSC(desc_1380 + 100, 1308, 1379);
	IDSC(desc_1380 + 110, 1503, 1379);
	IDSC(desc_1380 + 113, 1138, 1379);
	IDSC(desc_1380 + 116, 858, 1379);
	IDSC(desc_1380 + 161, 1168, 1379);
	IDSC(desc_1380 + 166, 360, 1379);
}


#ifdef __cplusplus
}
#endif
